-- phpMyAdmin SQL Dump
-- version 2.6.3-pl1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: May 06, 2007 at 10:20 PM
-- Server version: 5.0.27
-- PHP Version: 5.2.0
-- 
-- Database: `gamingpals`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `cat_comment_votes`
-- 

CREATE TABLE `cat_comment_votes` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `who` varchar(255) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `rating` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=24 ;

-- 
-- Dumping data for table `cat_comment_votes`
-- 

INSERT INTO `cat_comment_votes` VALUES (1, 'rating_up', '2007-04-25 20:15:18', '2', '2', '1');
INSERT INTO `cat_comment_votes` VALUES (2, 'rating_down', '2007-05-02 20:13:35', '1', '2', '-1');
INSERT INTO `cat_comment_votes` VALUES (3, 'rating_down', '2007-05-02 20:14:37', '3', '2', '-1');
INSERT INTO `cat_comment_votes` VALUES (7, 'rating_up', '2007-05-06 21:21:37', '', '', '1');
INSERT INTO `cat_comment_votes` VALUES (8, 'rating_up', '2007-05-06 21:22:17', '', '', '1');
INSERT INTO `cat_comment_votes` VALUES (9, 'rating_up', '2007-05-06 21:25:50', '', '', '1');
INSERT INTO `cat_comment_votes` VALUES (10, 'rating_up', '2007-05-06 21:27:49', '', '', '1');
INSERT INTO `cat_comment_votes` VALUES (12, 'rating_up', '2007-05-06 21:29:49', '', '', '1');
INSERT INTO `cat_comment_votes` VALUES (15, 'rating_up', '2007-05-06 21:32:28', '', '', '1');
INSERT INTO `cat_comment_votes` VALUES (16, 'rating_up', '2007-05-06 21:32:30', '', '', '1');
INSERT INTO `cat_comment_votes` VALUES (17, 'rating_up', '2007-05-06 21:32:35', '', '', '1');
INSERT INTO `cat_comment_votes` VALUES (18, 'rating_up', '2007-05-06 21:34:15', '', '', '1');

-- --------------------------------------------------------

-- 
-- Table structure for table `cat_comments`
-- 

CREATE TABLE `cat_comments` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `who` varchar(255) NOT NULL,
  `score` int(11) NOT NULL,
  `article` varchar(255) NOT NULL,
  `message` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

-- 
-- Dumping data for table `cat_comments`
-- 

INSERT INTO `cat_comments` VALUES (1, '0', '2007-04-02 01:46:35', '1', 0, '2', 'I can see that this is gonna rock.');
INSERT INTO `cat_comments` VALUES (2, '0', '2007-04-01 23:49:14', '1', 0, '2', 'test');
INSERT INTO `cat_comments` VALUES (3, '0', '2007-04-02 01:45:40', '1', 0, '1', 'This <br />\r\nIs testing<br />\r\nThe line breaks.');
INSERT INTO `cat_comments` VALUES (4, '0', '2007-04-07 01:10:28', '1', 0, '1', 'Again<br />\r\n<br />\r\nFor more effect.');
INSERT INTO `cat_comments` VALUES (5, '0', '2007-04-07 17:39:27', '4', 0, '7', 'Hey guys, what''s going on in this topix?');
INSERT INTO `cat_comments` VALUES (7, '0', '2007-04-08 18:02:06', '1', 0, '3', 'Here\\''s hoping it\\''s better than the original!');
INSERT INTO `cat_comments` VALUES (8, '0', '2007-04-25 20:24:21', '4', 0, '2', 'I agree TBQH.');

-- --------------------------------------------------------

-- 
-- Table structure for table `cat_news`
-- 

CREATE TABLE `cat_news` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `story` text NOT NULL,
  `site` varchar(255) NOT NULL,
  `link` varchar(255) NOT NULL,
  `who` int(11) NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `topic` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `cat_news`
-- 

INSERT INTO `cat_news` VALUES (1, 'Rare to ship new Banjo title wooooooooooooot blah blah blah blah blah yeah lol wut', 'This is a test news story. Get all the details for your one and only chance to win a custom-skinned Medal of Honor: Vanguard Wii from GameDaily!', 'gamespot.com', 'http://www.gamespot.com', 3, '2007-03-30 17:24:34', '9');
INSERT INTO `cat_news` VALUES (2, 'Miyamoto will work on Sonic and Mario', 'Miyamoto is working on Mario and Sonic at the Olympic Games. This game will be released on both the DS and Wii around Christmas. ', 'gamesindustry.biz', 'http://www.gamesindustry.biz/content_page.php?aid=23918', 1, '2007-03-31 23:21:48', '15');
INSERT INTO `cat_news` VALUES (3, 'Disgaea PSP First Look', 'It has been a long wait, but Disgaea PSP is finally coming to North America, and it''s bringing along some all-new content.', 'gamespot.com', 'http://www.gamespot.com/psp/strategy/disgaeaportable/news.html?sid=6168341', 1, '2007-04-02 23:09:31', '');
INSERT INTO `cat_news` VALUES (4, 'Sony and Microsoft bosses defend consoles'' value propositions', 'With the battle of the next-gen consoles now fully underway, Sony''s Ray Maguire and Microsoft''s Neil Thompson have spoken out to defend their products'' value propositions - and to criticize the competition.', 'gamesindustry.biz', 'http://www.gamesindustry.biz/content_page.php?aid=24003', 1, '2007-04-04 12:24:39', '');
INSERT INTO `cat_news` VALUES (5, 'Slight details on upcoming Wii Resident Evil titles', 'Through the latest issue of Famitsu and a scan posted over at NeoGaf a few more details have been revealed about Resident Evil Umbrella Chronicles, before the big announcement that Capcom was planning on April 12. ', 'gamesarefun.com', 'http://www.gamesarefun.com/news.php?newsid=7640', 1, '2007-04-04 12:27:46', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `cat_news_topics`
-- 

CREATE TABLE `cat_news_topics` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `parent` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

-- 
-- Dumping data for table `cat_news_topics`
-- 

INSERT INTO `cat_news_topics` VALUES (1, 'Industry', '2007-03-31 00:59:22', '');
INSERT INTO `cat_news_topics` VALUES (2, 'Hardware', '2007-03-31 00:59:35', '');
INSERT INTO `cat_news_topics` VALUES (3, 'Software', '2007-03-31 00:59:38', '');
INSERT INTO `cat_news_topics` VALUES (4, 'Xbox 360', '2007-03-31 00:59:45', 'Hardware');
INSERT INTO `cat_news_topics` VALUES (5, 'DS', '2007-03-31 00:59:49', 'Hardware');
INSERT INTO `cat_news_topics` VALUES (6, 'Wii', '2007-03-31 00:59:53', 'Hardware');
INSERT INTO `cat_news_topics` VALUES (7, 'PSP', '2007-03-31 00:59:59', 'Hardware');
INSERT INTO `cat_news_topics` VALUES (8, 'PS3', '2007-03-31 01:00:05', 'Hardware');
INSERT INTO `cat_news_topics` VALUES (9, 'Xbox 360', '2007-03-31 01:00:10', 'Software');
INSERT INTO `cat_news_topics` VALUES (10, 'DS', '2007-03-31 01:00:19', 'Software');
INSERT INTO `cat_news_topics` VALUES (11, 'Wii', '2007-03-31 01:00:16', 'Software');
INSERT INTO `cat_news_topics` VALUES (12, 'PSP', '2007-03-31 01:00:28', 'Software');
INSERT INTO `cat_news_topics` VALUES (13, 'PS3', '2007-03-31 01:00:31', 'Software');
INSERT INTO `cat_news_topics` VALUES (14, 'Microsoft', '2007-03-31 01:00:40', 'Industry');
INSERT INTO `cat_news_topics` VALUES (15, 'Nintendo', '2007-03-31 01:00:44', 'Industry');
INSERT INTO `cat_news_topics` VALUES (16, 'Sony', '2007-03-31 01:00:48', 'Industry');
INSERT INTO `cat_news_topics` VALUES (17, 'other', '2007-03-31 01:00:53', 'Industry');
INSERT INTO `cat_news_topics` VALUES (18, 'other', '2007-04-02 22:46:14', 'Hardware');
INSERT INTO `cat_news_topics` VALUES (19, 'other', '2007-04-02 22:46:21', 'Software');

-- --------------------------------------------------------

-- 
-- Table structure for table `cat_votes`
-- 

CREATE TABLE `cat_votes` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `score` smallint(6) NOT NULL,
  `who` int(11) NOT NULL,
  `article` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

-- 
-- Dumping data for table `cat_votes`
-- 

INSERT INTO `cat_votes` VALUES (1, 'vote on article 5 by no. 1', '2007-04-05 22:32:35', 1, 1, '5');
INSERT INTO `cat_votes` VALUES (3, 'vote on article 5 by no. 4', '2007-04-05 23:15:32', 1, 4, '5');
INSERT INTO `cat_votes` VALUES (4, 'vote on article 4 by no. 4', '2007-04-05 23:15:59', -1, 4, '4');
INSERT INTO `cat_votes` VALUES (5, 'vote on article 1 by no. 1', '2007-04-05 23:17:31', 1, 1, '1');
INSERT INTO `cat_votes` VALUES (7, 'vote on article 2 by no. 1', '2007-04-14 01:06:49', 1, 1, '2');
INSERT INTO `cat_votes` VALUES (8, 'vote on article 3 by no. 1', '2007-04-14 14:42:55', 1, 1, '3');
INSERT INTO `cat_votes` VALUES (9, 'vote on article 3 by no. 4', '2007-04-14 20:00:56', 1, 4, '3');
INSERT INTO `cat_votes` VALUES (10, 'vote on article 2 by no. 4', '2007-04-25 20:26:08', 1, 4, '2');
INSERT INTO `cat_votes` VALUES (11, 'vote on article 1 by no. 4', '2007-04-25 20:35:49', 1, 4, '1');

-- --------------------------------------------------------

-- 
-- Table structure for table `categories`
-- 

CREATE TABLE `categories` (
  `tablename` varchar(255) NOT NULL,
  `special` varchar(20) NOT NULL,
  `comment` int(11) NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table `categories`
-- 

INSERT INTO `categories` VALUES ('news', '', 0, '2007-03-30 16:31:04');
INSERT INTO `categories` VALUES ('votes', '', 0, '2007-03-30 18:54:04');
INSERT INTO `categories` VALUES ('news_topics', '', 0, '2007-03-30 23:38:23');
INSERT INTO `categories` VALUES ('comments', '', 0, '2007-04-01 01:38:12');
INSERT INTO `categories` VALUES ('comment_votes', '', 0, '2007-04-25 20:03:51');

-- --------------------------------------------------------

-- 
-- Table structure for table `metadata`
-- 

CREATE TABLE `metadata` (
  `id` int(11) NOT NULL auto_increment,
  `attribute` varchar(255) NOT NULL,
  `pointer` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `form` varchar(255) NOT NULL,
  `options` text,
  `length` int(4) NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=19 ;

-- 
-- Dumping data for table `metadata`
-- 

INSERT INTO `metadata` VALUES (1, 'story', 'news', 'text', 'textarea', '', 0, '2007-03-30 16:26:08');
INSERT INTO `metadata` VALUES (2, 'site', 'news', 'alphanumeric', 'text', NULL, 30, '2007-04-26 19:55:02');
INSERT INTO `metadata` VALUES (3, 'link', 'news', 'alphanumeric', 'text', NULL, 50, '2007-04-26 15:03:11');
INSERT INTO `metadata` VALUES (4, 'who', 'news', 'numeric', 'text', NULL, 0, '2007-03-30 17:15:39');
INSERT INTO `metadata` VALUES (6, 'score', 'votes', 'varchar', 'select', NULL, 0, '2007-03-30 18:54:50');
INSERT INTO `metadata` VALUES (7, 'who', 'votes', 'varchar', 'text', NULL, 0, '2007-03-30 18:55:05');
INSERT INTO `metadata` VALUES (8, 'parent', 'news_topics', 'alphanumeric', 'text', NULL, 0, '2007-04-26 15:02:29');
INSERT INTO `metadata` VALUES (9, 'article', 'votes', 'varchar', 'text', NULL, 0, '2007-03-30 23:49:40');
INSERT INTO `metadata` VALUES (10, 'topic', 'news', 'numeric', 'text', NULL, 0, '2007-04-26 15:02:55');
INSERT INTO `metadata` VALUES (12, 'who', 'comments', 'varchar', 'text', NULL, 0, '2007-04-01 01:54:06');
INSERT INTO `metadata` VALUES (13, 'score', 'comments', 'varchar', 'text', NULL, 0, '2007-04-01 01:38:37');
INSERT INTO `metadata` VALUES (14, 'article', 'comments', 'varchar', 'text', NULL, 0, '2007-04-01 01:39:03');
INSERT INTO `metadata` VALUES (15, 'message', 'comments', 'text', 'textarea', NULL, 0, '2007-04-01 01:58:03');
INSERT INTO `metadata` VALUES (16, 'who', 'comment_votes', 'any', 'text', NULL, 0, '2007-04-26 15:00:18');
INSERT INTO `metadata` VALUES (17, 'comment', 'comment_votes', 'any', 'text', NULL, 0, '2007-04-26 13:47:43');
INSERT INTO `metadata` VALUES (18, 'rating', 'comment_votes', 'numeric', 'text', NULL, 0, '2007-04-26 13:46:18');

-- --------------------------------------------------------

-- 
-- Table structure for table `mod_elements`
-- 

CREATE TABLE `mod_elements` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `mod_id` int(9) default NULL,
  `elem_id` int(9) NOT NULL,
  `parent` int(9) default NULL,
  `elem_type` varchar(255) default NULL,
  `args` varchar(255) default NULL,
  `content` text,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `mod_elements`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `mod_names`
-- 

CREATE TABLE `mod_names` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `mod_name` varchar(255) default NULL,
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `mod_names`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `roles`
-- 

CREATE TABLE `roles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `roles`
-- 

INSERT INTO `roles` VALUES (1, 'administrator', '2007-03-18 16:09:26');
INSERT INTO `roles` VALUES (2, 'user', '2007-03-18 16:09:06');
INSERT INTO `roles` VALUES (3, 'test', '2007-03-18 16:09:39');
